Subject: bug#45340: erc-services.el: Auth-source support for passwords

From: Leon Vack <[email-masked]>
Date: Fri, 15 Jan 2021 11:10:08 GMT

Olivier Certner <[email-masked]> writes:

> Hi,

Hello,

> Sorry to be late to the party, but what is exactly this bug (and the patch) 
> about? I'm asking this because I've been using auth source for NickServ 
> passwords for a while now, without any patch. And I just want to make sure 
> that this is going to continue to work (of course, I don't mind possibly 
> changing some configuration variables if required). I've skimmed through the 
> bug report and the patch, and while I see no particular problem there, I 
> wonder if some existing things have not been overlooked.
>
> I have `erc-prompt-for-password' set to nil (not `erc-prompt-for-nickserv-
> password'), and indeed I get prompted for a NickServ password. At this point, 
> I just hit ENTER without entering anything, and my password from auth source 
> is automatically picked up. So there seems to be an already existing mechanism 
> for getting the password used for NickServ from auth source.

I was not aware of this, but I have done some debugging and the NickServ
authentication you use mostly likely does not go through erc-services,
but the core erc functionality to connect, which sends a PASS command
with a password from auth source. At least freenode accepts this as a way
to do NickServ authentication and the patch does not effect this
functionality at all. To check if that is indeed the case, maybe try
connecting without having the erc-services module loaded.

>
> Or is it a confusion on my part, and the introduced functionality is in fact 
> different?
>

This patch introduces a different functionality as described above, as
erc-services, which only handles authentication with actual /nickserv
identify commands (not handled by the core connect functionality), did
not query auth source before this patch.

> Regards.

Regards,
Leon Vack